/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/

#ifdef NATIVE_STATS
int OS_nativeFunctionCallCount[];
char* OS_nativeFunctionNames[];
#define OS_NATIVE_ENTER(env, that, func) OS_nativeFunctionCallCount[func]++;
#define OS_NATIVE_EXIT(env, that, func) 
#else
#define OS_NATIVE_ENTER(env, that, func) 
#define OS_NATIVE_EXIT(env, that, func) 
#endif

#define AbortDoc_FUNC 0
#define ActivateKeyboardLayout_FUNC 1
#define AdjustWindowRectEx_FUNC 2
#define Arc_FUNC 3
#define BeginDeferWindowPos_FUNC 4
#define BeginPaint_FUNC 5
#define BitBlt_FUNC 6
#define BringWindowToTop_FUNC 7
#define Call_FUNC 8
#define CallNextHookEx_FUNC 9
#define CallWindowProcA_FUNC 10
#define CallWindowProcW_FUNC 11
#define CharLowerA_FUNC 12
#define CharLowerW_FUNC 13
#define CharUpperA_FUNC 14
#define CharUpperW_FUNC 15
#define CheckMenuItem_FUNC 16
#define ChooseColorA_FUNC 17
#define ChooseColorW_FUNC 18
#define ChooseFontA_FUNC 19
#define ChooseFontW_FUNC 20
#define ClientToScreen_FUNC 21
#define CloseClipboard_FUNC 22
#define CombineRgn_FUNC 23
#define CommDlgExtendedError_FUNC 24
#define CommandBar_1AddAdornments_FUNC 25
#define CommandBar_1Create_FUNC 26
#define CommandBar_1Destroy_FUNC 27
#define CommandBar_1DrawMenuBar_FUNC 28
#define CommandBar_1Height_FUNC 29
#define CommandBar_1InsertMenubarEx_FUNC 30
#define CommandBar_1Show_FUNC 31
#define CopyImage_FUNC 32
#define CreateAcceleratorTableA_FUNC 33
#define CreateAcceleratorTableW_FUNC 34
#define CreateBitmap_FUNC 35
#define CreateCaret_FUNC 36
#define CreateCompatibleBitmap_FUNC 37
#define CreateCompatibleDC_FUNC 38
#define CreateCursor_FUNC 39
#define CreateDCA_FUNC 40
#define CreateDCW_FUNC 41
#define CreateDIBSection_FUNC 42
#define CreateFontIndirectA__I_FUNC 43
#define CreateFontIndirectA__Lorg_eclipse_swt_internal_win32_LOGFONTA_2_FUNC 44
#define CreateFontIndirectW__I_FUNC 45
#define CreateFontIndirectW__Lorg_eclipse_swt_internal_win32_LOGFONTW_2_FUNC 46
#define CreateIconIndirect_FUNC 47
#define CreateMenu_FUNC 48
#define CreatePalette_FUNC 49
#define CreatePatternBrush_FUNC 50
#define CreatePen_FUNC 51
#define CreatePolygonRgn_FUNC 52
#define CreatePopupMenu_FUNC 53
#define CreateRectRgn_FUNC 54
#define CreateSolidBrush_FUNC 55
#define CreateStreamOnHGlobal_FUNC 56
#define CreateWindowExA_FUNC 57
#define CreateWindowExW_FUNC 58
#define DefFrameProcA_FUNC 59
#define DefFrameProcW_FUNC 60
#define DefMDIChildProcA_FUNC 61
#define DefMDIChildProcW_FUNC 62
#define DefWindowProcA_FUNC 63
#define DefWindowProcW_FUNC 64
#define DeferWindowPos_FUNC 65
#define DeleteDC_FUNC 66
#define DeleteMenu_FUNC 67
#define DeleteObject_FUNC 68
#define DestroyAcceleratorTable_FUNC 69
#define DestroyCaret_FUNC 70
#define DestroyCursor_FUNC 71
#define DestroyIcon_FUNC 72
#define DestroyMenu_FUNC 73
#define DestroyWindow_FUNC 74
#define DispatchMessageA_FUNC 75
#define DispatchMessageW_FUNC 76
#define DragDetect_FUNC 77
#define DragFinish_FUNC 78
#define DragQueryFileA_FUNC 79
#define DragQueryFileW_FUNC 80
#define DrawEdge_FUNC 81
#define DrawFocusRect_FUNC 82
#define DrawFrameControl_FUNC 83
#define DrawIconEx_FUNC 84
#define DrawMenuBar_FUNC 85
#define DrawStateA_FUNC 86
#define DrawStateW_FUNC 87
#define DrawTextA_FUNC 88
#define DrawTextW_FUNC 89
#define Ellipse_FUNC 90
#define EnableMenuItem_FUNC 91
#define EnableScrollBar_FUNC 92
#define EnableWindow_FUNC 93
#define EndDeferWindowPos_FUNC 94
#define EndDoc_FUNC 95
#define EndPage_FUNC 96
#define EndPaint_FUNC 97
#define EnumDisplayMonitors_FUNC 98
#define EnumFontFamiliesA_FUNC 99
#define EnumFontFamiliesExA_FUNC 100
#define EnumFontFamiliesExW_FUNC 101
#define EnumFontFamiliesW_FUNC 102
#define EnumSystemLanguageGroupsA_FUNC 103
#define EnumSystemLanguageGroupsW_FUNC 104
#define EnumSystemLocalesA_FUNC 105
#define EnumSystemLocalesW_FUNC 106
#define EqualRect_FUNC 107
#define EqualRgn_FUNC 108
#define ExpandEnvironmentStringsA_FUNC 109
#define ExpandEnvironmentStringsW_FUNC 110
#define ExtTextOutA_FUNC 111
#define ExtTextOutW_FUNC 112
#define ExtractIconExA_FUNC 113
#define ExtractIconExW_FUNC 114
#define FillRect_FUNC 115
#define FindWindowA_FUNC 116
#define FindWindowW_FUNC 117
#define FormatMessageA_FUNC 118
#define FormatMessageW_FUNC 119
#define FreeLibrary_FUNC 120
#define GdiSetBatchLimit_FUNC 121
#define GetACP_FUNC 122
#define GetActiveWindow_FUNC 123
#define GetBkColor_FUNC 124
#define GetCapture_FUNC 125
#define GetCaretPos_FUNC 126
#define GetCharABCWidthsA_FUNC 127
#define GetCharABCWidthsW_FUNC 128
#define GetCharWidthA_FUNC 129
#define GetCharWidthW_FUNC 130
#define GetCharacterPlacementA_FUNC 131
#define GetCharacterPlacementW_FUNC 132
#define GetClassInfoA_FUNC 133
#define GetClassInfoW_FUNC 134
#define GetClassNameA_FUNC 135
#define GetClassNameW_FUNC 136
#define GetClientRect_FUNC 137
#define GetClipBox_FUNC 138
#define GetClipRgn_FUNC 139
#define GetClipboardData_FUNC 140
#define GetClipboardFormatNameA_FUNC 141
#define GetClipboardFormatNameW_FUNC 142
#define GetComboBoxInfo_FUNC 143
#define GetCurrentObject_FUNC 144
#define GetCurrentProcessId_FUNC 145
#define GetCurrentThreadId_FUNC 146
#define GetCursor_FUNC 147
#define GetCursorPos_FUNC 148
#define GetDC_FUNC 149
#define GetDCEx_FUNC 150
#define GetDIBColorTable_FUNC 151
#define GetDIBits_FUNC 152
#define GetDesktopWindow_FUNC 153
#define GetDeviceCaps_FUNC 154
#define GetDialogBaseUnits_FUNC 155
#define GetDlgItem_FUNC 156
#define GetDoubleClickTime_FUNC 157
#define GetFocus_FUNC 158
#define GetFontLanguageInfo_FUNC 159
#define GetGUIThreadInfo_FUNC 160
#define GetIconInfo_FUNC 161
#define GetKeyNameTextA_FUNC 162
#define GetKeyNameTextW_FUNC 163
#define GetKeyState_FUNC 164
#define GetKeyboardLayout_FUNC 165
#define GetKeyboardLayoutList_FUNC 166
#define GetKeyboardState_FUNC 167
#define GetLastActivePopup_FUNC 168
#define GetLastError_FUNC 169
#define GetLayout_FUNC 170
#define GetLibraryHandle_FUNC 171
#define GetLocaleInfoA_FUNC 172
#define GetLocaleInfoW_FUNC 173
#define GetMenu_FUNC 174
#define GetMenuBarInfo_FUNC 175
#define GetMenuDefaultItem_FUNC 176
#define GetMenuInfo_FUNC 177
#define GetMenuItemCount_FUNC 178
#define GetMenuItemInfoA_FUNC 179
#define GetMenuItemInfoW_FUNC 180
#define GetMenuItemRect_FUNC 181
#define GetMessageA_FUNC 182
#define GetMessagePos_FUNC 183
#define GetMessageTime_FUNC 184
#define GetMessageW_FUNC 185
#define GetModuleHandleA_FUNC 186
#define GetModuleHandleW_FUNC 187
#define GetMonitorInfoA_FUNC 188
#define GetMonitorInfoW_FUNC 189
#define GetNearestPaletteIndex_FUNC 190
#define GetObjectA__IILorg_eclipse_swt_internal_win32_BITMAP_2_FUNC 191
#define GetObjectA__IILorg_eclipse_swt_internal_win32_DIBSECTION_2_FUNC 192
#define GetObjectA__IILorg_eclipse_swt_internal_win32_LOGBRUSH_2_FUNC 193
#define GetObjectA__IILorg_eclipse_swt_internal_win32_LOGFONTA_2_FUNC 194
#define GetObjectA__IILorg_eclipse_swt_internal_win32_LOGPEN_2_FUNC 195
#define GetObjectW__IILorg_eclipse_swt_internal_win32_BITMAP_2_FUNC 196
#define GetObjectW__IILorg_eclipse_swt_internal_win32_DIBSECTION_2_FUNC 197
#define GetObjectW__IILorg_eclipse_swt_internal_win32_LOGBRUSH_2_FUNC 198
#define GetObjectW__IILorg_eclipse_swt_internal_win32_LOGFONTW_2_FUNC 199
#define GetObjectW__IILorg_eclipse_swt_internal_win32_LOGPEN_2_FUNC 200
#define GetOpenFileNameA_FUNC 201
#define GetOpenFileNameW_FUNC 202
#define GetPaletteEntries_FUNC 203
#define GetParent_FUNC 204
#define GetPixel_FUNC 205
#define GetProcAddress_FUNC 206
#define GetProcessHeap_FUNC 207
#define GetProfileStringA_FUNC 208
#define GetProfileStringW_FUNC 209
#define GetROP2_FUNC 210
#define GetRandomRgn_FUNC 211
#define GetRegionData_FUNC 212
#define GetRgnBox_FUNC 213
#define GetSaveFileNameA_FUNC 214
#define GetSaveFileNameW_FUNC 215
#define GetScrollInfo_FUNC 216
#define GetStockObject_FUNC 217
#define GetSysColor_FUNC 218
#define GetSysColorBrush_FUNC 219
#define GetSystemMenu_FUNC 220
#define GetSystemMetrics_FUNC 221
#define GetSystemPaletteEntries_FUNC 222
#define GetTextCharset_FUNC 223
#define GetTextColor_FUNC 224
#define GetTextExtentPoint32A_FUNC 225
#define GetTextExtentPoint32W_FUNC 226
#define GetTextMetricsA_FUNC 227
#define GetTextMetricsW_FUNC 228
#define GetTickCount_FUNC 229
#define GetUpdateRect_FUNC 230
#define GetUpdateRgn_FUNC 231
#define GetVersionExA_FUNC 232
#define GetVersionExW_FUNC 233
#define GetWindow_FUNC 234
#define GetWindowLongA_FUNC 235
#define GetWindowLongW_FUNC 236
#define GetWindowPlacement_FUNC 237
#define GetWindowRect_FUNC 238
#define GetWindowRgn_FUNC 239
#define GetWindowTextA_FUNC 240
#define GetWindowTextLengthA_FUNC 241
#define GetWindowTextLengthW_FUNC 242
#define GetWindowTextW_FUNC 243
#define GetWindowThreadProcessId_FUNC 244
#define GlobalAlloc_FUNC 245
#define GlobalFree_FUNC 246
#define GlobalLock_FUNC 247
#define GlobalSize_FUNC 248
#define GlobalUnlock_FUNC 249
#define GradientFill_FUNC 250
#define HeapAlloc_FUNC 251
#define HeapFree_FUNC 252
#define HideCaret_FUNC 253
#define ImageList_1Add_FUNC 254
#define ImageList_1AddMasked_FUNC 255
#define ImageList_1Create_FUNC 256
#define ImageList_1Destroy_FUNC 257
#define ImageList_1GetIcon_FUNC 258
#define ImageList_1GetIconSize_FUNC 259
#define ImageList_1GetImageCount_FUNC 260
#define ImageList_1Remove_FUNC 261
#define ImageList_1Replace_FUNC 262
#define ImageList_1ReplaceIcon_FUNC 263
#define ImageList_1SetIconSize_FUNC 264
#define ImmAssociateContext_FUNC 265
#define ImmCreateContext_FUNC 266
#define ImmDestroyContext_FUNC 267
#define ImmGetCompositionFontA_FUNC 268
#define ImmGetCompositionFontW_FUNC 269
#define ImmGetCompositionStringA_FUNC 270
#define ImmGetCompositionStringW_FUNC 271
#define ImmGetContext_FUNC 272
#define ImmGetConversionStatus_FUNC 273
#define ImmGetDefaultIMEWnd_FUNC 274
#define ImmGetOpenStatus_FUNC 275
#define ImmReleaseContext_FUNC 276
#define ImmSetCompositionFontA_FUNC 277
#define ImmSetCompositionFontW_FUNC 278
#define ImmSetCompositionWindow_FUNC 279
#define ImmSetConversionStatus_FUNC 280
#define ImmSetOpenStatus_FUNC 281
#define InitCommonControls_FUNC 282
#define InitCommonControlsEx_FUNC 283
#define InsertMenuA_FUNC 284
#define InsertMenuItemA_FUNC 285
#define InsertMenuItemW_FUNC 286
#define InsertMenuW_FUNC 287
#define IntersectRect_FUNC 288
#define InvalidateRect_FUNC 289
#define InvalidateRgn_FUNC 290
#define IsDBCSLeadByte_FUNC 291
#define IsIconic_FUNC 292
#define IsPPC_FUNC 293
#define IsSP_FUNC 294
#define IsWindowEnabled_FUNC 295
#define IsWindowVisible_FUNC 296
#define IsZoomed_FUNC 297
#define KillTimer_FUNC 298
#define LineTo_FUNC 299
#define LoadBitmapA_FUNC 300
#define LoadBitmapW_FUNC 301
#define LoadCursorA_FUNC 302
#define LoadCursorW_FUNC 303
#define LoadIconA_FUNC 304
#define LoadIconW_FUNC 305
#define LoadImageA__IIIIII_FUNC 306
#define LoadImageA__I_3BIIII_FUNC 307
#define LoadImageW__IIIIII_FUNC 308
#define LoadImageW__I_3CIIII_FUNC 309
#define LoadLibraryA_FUNC 310
#define LoadLibraryW_FUNC 311
#define LoadStringA_FUNC 312
#define LoadStringW_FUNC 313
#define LocalFree_FUNC 314
#define MapVirtualKeyA_FUNC 315
#define MapVirtualKeyW_FUNC 316
#define MapWindowPoints__IILorg_eclipse_swt_internal_win32_POINT_2I_FUNC 317
#define MapWindowPoints__IILorg_eclipse_swt_internal_win32_RECT_2I_FUNC 318
#define MessageBeep_FUNC 319
#define MessageBoxA_FUNC 320
#define MessageBoxW_FUNC 321
#define MonitorFromWindow_FUNC 322
#define MoveMemory__ILorg_eclipse_swt_internal_win32_DROPFILES_2I_FUNC 323
#define MoveMemory__ILorg_eclipse_swt_internal_win32_GRADIENT_1RECT_2I_FUNC 324
#define MoveMemory__ILorg_eclipse_swt_internal_win32_KEYBDINPUT_2I_FUNC 325
#define MoveMemory__ILorg_eclipse_swt_internal_win32_LOGFONTA_2I_FUNC 326
#define MoveMemory__ILorg_eclipse_swt_internal_win32_LOGFONTW_2I_FUNC 327
#define MoveMemory__ILorg_eclipse_swt_internal_win32_MEASUREITEMSTRUCT_2I_FUNC 328
#define MoveMemory__ILorg_eclipse_swt_internal_win32_MOUSEINPUT_2I_FUNC 329
#define MoveMemory__ILorg_eclipse_swt_internal_win32_MSG_2I_FUNC 330
#define MoveMemory__ILorg_eclipse_swt_internal_win32_NMLVCUSTOMDRAW_2I_FUNC 331
#define MoveMemory__ILorg_eclipse_swt_internal_win32_NMLVDISPINFO_2I_FUNC 332
#define MoveMemory__ILorg_eclipse_swt_internal_win32_NMTTDISPINFOA_2I_FUNC 333
#define MoveMemory__ILorg_eclipse_swt_internal_win32_NMTTDISPINFOW_2I_FUNC 334
#define MoveMemory__ILorg_eclipse_swt_internal_win32_NMTVCUSTOMDRAW_2I_FUNC 335
#define MoveMemory__ILorg_eclipse_swt_internal_win32_RECT_2I_FUNC 336
#define MoveMemory__ILorg_eclipse_swt_internal_win32_TRIVERTEX_2I_FUNC 337
#define MoveMemory__ILorg_eclipse_swt_internal_win32_WINDOWPOS_2I_FUNC 338
#define MoveMemory__I_3BI_FUNC 339
#define MoveMemory__I_3CI_FUNC 340
#define MoveMemory__I_3DI_FUNC 341
#define MoveMemory__I_3FI_FUNC 342
#define MoveMemory__I_3II_FUNC 343
#define MoveMemory__I_3SI_FUNC 344
#define MoveMemory__Lorg_eclipse_swt_internal_win32_BITMAPINFOHEADER_2_3BI_FUNC 345
#define MoveMemory__Lorg_eclipse_swt_internal_win32_DRAWITEMSTRUCT_2II_FUNC 346
#define MoveMemory__Lorg_eclipse_swt_internal_win32_HDITEM_2II_FUNC 347
#define MoveMemory__Lorg_eclipse_swt_internal_win32_HELPINFO_2II_FUNC 348
#define MoveMemory__Lorg_eclipse_swt_internal_win32_LOGFONTA_2II_FUNC 349
#define MoveMemory__Lorg_eclipse_swt_internal_win32_LOGFONTW_2II_FUNC 350
#define MoveMemory__Lorg_eclipse_swt_internal_win32_MEASUREITEMSTRUCT_2II_FUNC 351
#define MoveMemory__Lorg_eclipse_swt_internal_win32_MSG_2II_FUNC 352
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMCUSTOMDRAW_2II_FUNC 353
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMHDR_2II_FUNC 354
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMHEADER_2II_FUNC 355
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMLISTVIEW_2II_FUNC 356
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMLVCUSTOMDRAW_2II_FUNC 357
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMLVDISPINFO_2II_FUNC 358
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMLVFINDITEM_2II_FUNC 359
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMREBARCHEVRON_2II_FUNC 360
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMRGINFO_2II_FUNC 361
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMTOOLBAR_2II_FUNC 362
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMTTDISPINFOA_2II_FUNC 363
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMTTDISPINFOW_2II_FUNC 364
#define MoveMemory__Lorg_eclipse_swt_internal_win32_NMTVCUSTOMDRAW_2II_FUNC 365
#define MoveMemory__Lorg_eclipse_swt_internal_win32_POINT_2II_FUNC 366
#define MoveMemory__Lorg_eclipse_swt_internal_win32_SCRIPT_1ITEM_2II_FUNC 367
#define MoveMemory__Lorg_eclipse_swt_internal_win32_SCRIPT_1LOGATTR_2II_FUNC 368
#define MoveMemory__Lorg_eclipse_swt_internal_win32_SCRIPT_1PROPERTIES_2II_FUNC 369
#define MoveMemory__Lorg_eclipse_swt_internal_win32_TVITEM_2II_FUNC 370
#define MoveMemory__Lorg_eclipse_swt_internal_win32_WINDOWPOS_2II_FUNC 371
#define MoveMemory___3BII_FUNC 372
#define MoveMemory___3BLorg_eclipse_swt_internal_win32_ACCEL_2I_FUNC 373
#define MoveMemory___3BLorg_eclipse_swt_internal_win32_BITMAPINFOHEADER_2I_FUNC 374
#define MoveMemory___3CII_FUNC 375
#define MoveMemory___3DII_FUNC 376
#define MoveMemory___3FII_FUNC 377
#define MoveMemory___3III_FUNC 378
#define MoveMemory___3SII_FUNC 379
#define MoveToEx_FUNC 380
#define MsgWaitForMultipleObjectsEx_FUNC 381
#define MultiByteToWideChar__IIII_3CI_FUNC 382
#define MultiByteToWideChar__II_3BI_3CI_FUNC 383
#define NotifyWinEvent_FUNC 384
#define OffsetRgn_FUNC 385
#define OleInitialize_FUNC 386
#define OleUninitialize_FUNC 387
#define OpenClipboard_FUNC 388
#define PatBlt_FUNC 389
#define PeekMessageA_FUNC 390
#define PeekMessageW_FUNC 391
#define Pie_FUNC 392
#define Polygon_FUNC 393
#define Polyline_FUNC 394
#define PostMessageA_FUNC 395
#define PostMessageW_FUNC 396
#define PostThreadMessageA_FUNC 397
#define PostThreadMessageW_FUNC 398
#define PrintDlgA_FUNC 399
#define PrintDlgW_FUNC 400
#define PtInRect_FUNC 401
#define PtInRegion_FUNC 402
#define RealizePalette_FUNC 403
#define RectInRegion_FUNC 404
#define Rectangle_FUNC 405
#define RedrawWindow_FUNC 406
#define RegCloseKey_FUNC 407
#define RegEnumKeyExA_FUNC 408
#define RegEnumKeyExW_FUNC 409
#define RegOpenKeyExA_FUNC 410
#define RegOpenKeyExW_FUNC 411
#define RegQueryInfoKeyA_FUNC 412
#define RegQueryInfoKeyW_FUNC 413
#define RegQueryValueExA_FUNC 414
#define RegQueryValueExW_FUNC 415
#define RegisterClassA_FUNC 416
#define RegisterClassW_FUNC 417
#define RegisterClipboardFormatA_FUNC 418
#define RegisterClipboardFormatW_FUNC 419
#define RegisterWindowMessageA_FUNC 420
#define RegisterWindowMessageW_FUNC 421
#define ReleaseCapture_FUNC 422
#define ReleaseDC_FUNC 423
#define RemoveMenu_FUNC 424
#define RestoreDC_FUNC 425
#define RoundRect_FUNC 426
#define SHBrowseForFolderA_FUNC 427
#define SHBrowseForFolderW_FUNC 428
#define SHCreateMenuBar_FUNC 429
#define SHGetMalloc_FUNC 430
#define SHGetPathFromIDListA_FUNC 431
#define SHGetPathFromIDListW_FUNC 432
#define SHHandleWMSettingChange_FUNC 433
#define SHRecognizeGesture_FUNC 434
#define SHSendBackToFocusWindow_FUNC 435
#define SHSetAppKeyWndAssoc_FUNC 436
#define SHSipPreference_FUNC 437
#define SaveDC_FUNC 438
#define ScreenToClient_FUNC 439
#define ScriptBreak_FUNC 440
#define ScriptCPtoX_FUNC 441
#define ScriptCacheGetHeight_FUNC 442
#define ScriptFreeCache_FUNC 443
#define ScriptGetFontProperties_FUNC 444
#define ScriptGetLogicalWidths_FUNC 445
#define ScriptGetProperties_FUNC 446
#define ScriptItemize_FUNC 447
#define ScriptLayout_FUNC 448
#define ScriptPlace_FUNC 449
#define ScriptShape_FUNC 450
#define ScriptTextOut_FUNC 451
#define ScriptXtoCP_FUNC 452
#define ScrollWindowEx_FUNC 453
#define SelectClipRgn_FUNC 454
#define SelectObject_FUNC 455
#define SelectPalette_FUNC 456
#define SendInput_FUNC 457
#define SendMessageA__IIII_FUNC 458
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_LVCOLUMN_2_FUNC 459
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_LVHITTESTINFO_2_FUNC 460
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_LVITEM_2_FUNC 461
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_MARGINS_2_FUNC 462
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_REBARBANDINFO_2_FUNC 463
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_RECT_2_FUNC 464
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_TBBUTTONINFO_2_FUNC 465
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_TBBUTTON_2_FUNC 466
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_TCITEM_2_FUNC 467
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_TOOLINFO_2_FUNC 468
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_TVHITTESTINFO_2_FUNC 469
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_TVINSERTSTRUCT_2_FUNC 470
#define SendMessageA__IIILorg_eclipse_swt_internal_win32_TVITEM_2_FUNC 471
#define SendMessageA__III_3B_FUNC 472
#define SendMessageA__III_3I_FUNC 473
#define SendMessageA__III_3S_FUNC 474
#define SendMessageA__II_3II_FUNC 475
#define SendMessageA__II_3I_3I_FUNC 476
#define SendMessageW__IIII_FUNC 477
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_LVCOLUMN_2_FUNC 478
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_LVHITTESTINFO_2_FUNC 479
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_LVITEM_2_FUNC 480
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_MARGINS_2_FUNC 481
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_REBARBANDINFO_2_FUNC 482
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_RECT_2_FUNC 483
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_TBBUTTONINFO_2_FUNC 484
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_TBBUTTON_2_FUNC 485
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_TCITEM_2_FUNC 486
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_TOOLINFO_2_FUNC 487
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_TVHITTESTINFO_2_FUNC 488
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_TVINSERTSTRUCT_2_FUNC 489
#define SendMessageW__IIILorg_eclipse_swt_internal_win32_TVITEM_2_FUNC 490
#define SendMessageW__III_3C_FUNC 491
#define SendMessageW__III_3I_FUNC 492
#define SendMessageW__III_3S_FUNC 493
#define SendMessageW__II_3II_FUNC 494
#define SendMessageW__II_3I_3I_FUNC 495
#define SetActiveWindow_FUNC 496
#define SetBkColor_FUNC 497
#define SetBkMode_FUNC 498
#define SetCapture_FUNC 499
#define SetCaretPos_FUNC 500
#define SetClipboardData_FUNC 501
#define SetCursor_FUNC 502
#define SetCursorPos_FUNC 503
#define SetDIBColorTable_FUNC 504
#define SetErrorMode_FUNC 505
#define SetFocus_FUNC 506
#define SetForegroundWindow_FUNC 507
#define SetLayout_FUNC 508
#define SetMenu_FUNC 509
#define SetMenuDefaultItem_FUNC 510
#define SetMenuInfo_FUNC 511
#define SetMenuItemInfoA_FUNC 512
#define SetMenuItemInfoW_FUNC 513
#define SetPaletteEntries_FUNC 514
#define SetParent_FUNC 515
#define SetPixel_FUNC 516
#define SetROP2_FUNC 517
#define SetRect_FUNC 518
#define SetRectRgn_FUNC 519
#define SetScrollInfo_FUNC 520
#define SetStretchBltMode_FUNC 521
#define SetTextAlign_FUNC 522
#define SetTextColor_FUNC 523
#define SetTimer_FUNC 524
#define SetWindowLongA_FUNC 525
#define SetWindowLongW_FUNC 526
#define SetWindowPlacement_FUNC 527
#define SetWindowPos_FUNC 528
#define SetWindowRgn_FUNC 529
#define SetWindowTextA_FUNC 530
#define SetWindowTextW_FUNC 531
#define SetWindowsHookExA_FUNC 532
#define SetWindowsHookExW_FUNC 533
#define ShellExecuteExA_FUNC 534
#define ShellExecuteExW_FUNC 535
#define Shell_1NotifyIconA_FUNC 536
#define Shell_1NotifyIconW_FUNC 537
#define ShowCaret_FUNC 538
#define ShowOwnedPopups_FUNC 539
#define ShowScrollBar_FUNC 540
#define ShowWindow_FUNC 541
#define SipGetInfo_FUNC 542
#define StartDocA_FUNC 543
#define StartDocW_FUNC 544
#define StartPage_FUNC 545
#define StretchBlt_FUNC 546
#define SystemParametersInfoA__IILorg_eclipse_swt_internal_win32_HIGHCONTRAST_2I_FUNC 547
#define SystemParametersInfoA__IILorg_eclipse_swt_internal_win32_NONCLIENTMETRICSA_2I_FUNC 548
#define SystemParametersInfoA__IILorg_eclipse_swt_internal_win32_RECT_2I_FUNC 549
#define SystemParametersInfoA__II_3II_FUNC 550
#define SystemParametersInfoW__IILorg_eclipse_swt_internal_win32_HIGHCONTRAST_2I_FUNC 551
#define SystemParametersInfoW__IILorg_eclipse_swt_internal_win32_NONCLIENTMETRICSW_2I_FUNC 552
#define SystemParametersInfoW__IILorg_eclipse_swt_internal_win32_RECT_2I_FUNC 553
#define SystemParametersInfoW__II_3II_FUNC 554
#define ToAscii_FUNC 555
#define ToUnicode_FUNC 556
#define TrackMouseEvent_FUNC 557
#define TrackPopupMenu_FUNC 558
#define TranslateAcceleratorA_FUNC 559
#define TranslateAcceleratorW_FUNC 560
#define TranslateCharsetInfo_FUNC 561
#define TranslateMDISysAccel_FUNC 562
#define TranslateMessage_FUNC 563
#define TransparentImage_FUNC 564
#define UnhookWindowsHookEx_FUNC 565
#define UnregisterClassA_FUNC 566
#define UnregisterClassW_FUNC 567
#define UpdateWindow_FUNC 568
#define ValidateRect_FUNC 569
#define VkKeyScanA_FUNC 570
#define VkKeyScanW_FUNC 571
#define VtblCall_FUNC 572
#define WaitMessage_FUNC 573
#define WideCharToMultiByte__II_3CIII_3B_3Z_FUNC 574
#define WideCharToMultiByte__II_3CI_3BI_3B_3Z_FUNC 575
#define WindowFromDC_FUNC 576
#define WindowFromPoint_FUNC 577
#define wcslen_FUNC 578
